# Bed_APY  
### The WebSocket-powered bridge between Python & Minecraft Bedrock  

## 🚀 About This Project  
Bed_APY is an **independent, unofficial** Minecraft Bedrock tool that enables Python scripting by communicating with the game via **WebSockets**. This allows seamless command execution, automation, and custom gameplay mechanics—all **scripted in Python!**  

## 🔧 Features  
✅ **WebSocket-powered connection** → Sends & receives commands to Minecraft!  
✅ **Real-time execution** → Works asynchronously for smooth operation!  
✅ **Fully extensible API** → Create custom scripts & automation!  
✅ **Optimized data handling** → Efficiently manages Minecraft interactions!  

## 📜 Disclaimer  
Bed_APY is **not affiliated with, associated with, or approved by** Microsoft, Mojang Studios, or Minecraft™.  
This is an independent project created for educational and experimental purposes.  
All trademarks and copyrights belong to their respective owners.  

## 📂 How to use  
Run `pip install bed-apy` To install. For more help go to the [Wiki](https://github.com/ilovecoding99390/bed_apy/wiki).

## ✨ Story of This Project  
_Originally a small experiment, Bed_APY evolved into a powerful Minecraft scripting bridge that lets Python interact with Bedrock Edition using WebSockets—unlocking endless automation and creative possibilities._  
## The Story of the Name  
When I first started working on this, I called it **mc_api**—clear, right? Nope! When importing, I accidentally downloaded a **random Brazilian mc_api**, which caused a bit of a headache.  
Despite the confusion, mc_api stuck—until publishing, when I decided to rename it for easier installation.  

I first thought of **bed_api**, but it felt too generic. Then I tried **bed_pi** (Python + API = Pi), but that still seemed off. Finally, I landed on **bed_apy**:  
- **Bed = Bedrock** (easy!)  
- **APY = API + PYthon** (perfect!)  

And just like that, the name was **locked in!** 🚀🔥  
